from typing import Any
from typing import List
from typing import Set
from typing import Tuple

from . import *


class ImagePreview(bpy_struct):
    
    # Unique integer identifying this preview as an icon (zero means invalid)
    icon_id: int
    
    # Icon pixels, as bytes (always 32-bit RGBA)
    icon_pixels: int
    
    # Icon pixels components, as floats (RGBA concatenated values)
    icon_pixels_float: float
    
    # Width and height in pixels
    icon_size: Tuple[int, int]
    
    # Image pixels, as bytes (always 32-bit RGBA)
    image_pixels: int
    
    # Image pixels components, as floats (RGBA concatenated values)
    image_pixels_float: float
    
    # Width and height in pixels
    image_size: Tuple[int, int]
    
    # True if this preview icon has been modified by py script,and is no more auto-generated by Blender
    is_icon_custom: bool
    
    # True if this preview image has been modified by py script,and is no more auto-generated by Blender
    is_image_custom: bool

    def reload(self, *args, **kwargs) -> None:
        ...

    @classmethod
    def bl_rna_get_subclass(cls, *args, **kwargs) -> Struct:
        ...

    @classmethod
    def bl_rna_get_subclass_py(cls, *args, **kwargs) -> Any:
        ...